<template>
<div class="absolute top-0 right-0 w-screen h-screen overflow-hidden">
    <div class='flex items-center flex-no-wrap w-screen h-screen cursor-none m-0 overflow-hidden'>
        <div class="mx-auto whitespace-no-wrap">
            <clock-element :color="color" back="1" :front="(hour > 9)? '1':'&nbsp;'" />
            <clock-element :color="color" back="8/1" :front="hour % 10" />
            <clock-element :color="color" back=":" front=":"/>
            <clock-element :color="color" back="81" :front="Math.floor(minute/10)" />
            <clock-element :color="color" back="8/1" :front="minute % 10" />
            <div class="inline-block xl:w-32 lg:w-24 md:w-20 sm:w-12 w-8"> </div>
            <clock-element :color="color" back="AP" :front="ampm" />
            <clock-element :color="color" back="M" front="M" />
        </div>
    </div>
    <div class='bottom-info select-text lg:text-lg text-base'>
        {{ show.message }}
    </div>
</div>
</template>

<script>
import ClockElement from '../ClockElement';

export default {
    components: {
        ClockElement,
    },
    props: {
        id: Number,
    },
    data(){
        const date = new Date();
        let hour = date.getHours();
        let ampm = 'A';
        if(hour > 11) ampm = 'P';
        if(hour == 0) hour = 12;
        if(hour > 12) hour -= 12;
        return {
            hour,
            ampm,
            minute: date.getMinutes(),
        }
    },
    created(){
        setInterval(() => {
            const date = new Date();
            let hour = date.getHours();
            
            if(hour > 11) this.ampm = 'P';
            else this.ampm = 'A';

            if(hour == 0) hour = 12;
            if(hour > 12) hour -= 12;
            
            this.hour = hour;
            this.minute = date.getMinutes();
        }, 1000);
    },
    computed: {
        show(){
            return this.$store.state.config.shows[this.id];
        },
        color(){
            if(this.show.color) return this.show.color;
            return 'blue';
        }
    },
    methods: {
        //
    }
}
</script>

<style scoped>
@import url(https://fonts.googleapis.com/css?family=Raleway:300,400,600);

.select-all {
  -webkit-touch-callout: all;
    -webkit-user-select: all;
     -khtml-user-select: all;
       -moz-user-select: all;
        -ms-user-select: all;
            user-select: all;
}

.select-text {
  -webkit-touch-callout: text;
    -webkit-user-select: text;
     -khtml-user-select: text;
       -moz-user-select: text;
        -ms-user-select: text;
            user-select: text;
}

.clock-elements {
    position: absolute;
    text-align: center;
    width: 100vw;
    word-wrap: none;
}

.bottom-info {
    position:absolute; 
    bottom:2em;
    left: 2em;
    color: #c3cbcf;
    font-family: 'Raleway', sans-serif;
    font-weight: 100;
}

.bottom-reg {
    position:absolute; 
    bottom:2em;
    right: 2em;
    color: #3b4761;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: 110;
}
</style>
